import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { StringNullableFilterObjectSchema as StringNullableFilterObjectSchema } from './StringNullableFilter.schema'

const appointmentfilescalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => AppointmentFileScalarWhereInputObjectSchema), z.lazy(() => AppointmentFileScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => AppointmentFileScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => AppointmentFileScalarWhereInputObjectSchema), z.lazy(() => AppointmentFileScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  appointmentId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  filename: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  mimeType: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  filePath: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable()
}).strict();
export const AppointmentFileScalarWhereInputObjectSchema: z.ZodType<Prisma.AppointmentFileScalarWhereInput> = appointmentfilescalarwhereinputSchema as unknown as z.ZodType<Prisma.AppointmentFileScalarWhereInput>;
export const AppointmentFileScalarWhereInputObjectZodSchema = appointmentfilescalarwhereinputSchema;
